Package org.benf.cfr.reader.api

# Interface SinkReturns.Decompiled

All Known Subinterfaces:
  `SinkReturns.DecompiledMultiVer`

Enclosing interface:
  `SinkReturns`

public static interface SinkReturns.Decompiled
Fuller decompilation than simply accepting STRING.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  `String`
  `getJava()`
  `String`
  `getPackageName()`

- ## Method Details

  - ### getPackageName

    String getPackageName()
    Returns:
      the package of the class that has been analysed

  - ### getClassName

    String getClassName()
    Returns:
      the name of the class that has been analysed

  - ### getJava

    String getJava()
    Returns:
      decompiled java.